[arch-commits] Commit in (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Jan 12 09:19:42 UTC 2013


    Date: Saturday, January 12, 2013 @ 04:19:42
  Author: andyrtr
Revision: 175044

add pkg as dep for X2goserver based on the AUR one

Added:
  perl-config-simple/
  perl-config-simple/repos/
  perl-config-simple/trunk/
  perl-config-simple/trunk/PKGBUILD

----------+
 PKGBUILD |   40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

Added: perl-config-simple/trunk/PKGBUILD
===================================================================
--- perl-config-simple/trunk/PKGBUILD	                        (rev 0)
+++ perl-config-simple/trunk/PKGBUILD	2013-01-12 09:19:42 UTC (rev 175044)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+
+# Contributor: Phillip Smith <fukawi2 at NO-SPAM.gmail.com>
+# http://github.com/fukawi2/aur-packages
+# Contributor: Thomas Boerger <devel at ghcif.de>
+
+pkgname=perl-config-simple
+pkgver=4.59
+pkgrel=3
+pkgdesc="Simple configuration file class to create and read config files"
+url="http://search.cpan.org/~sherzodr/Config-Simple"
+depends=('perl')
+arch=('i686' 'x86_64')
+license="GPL"
+options=('!emptydirs')
+source=("http://search.cpan.org/CPAN/authors/id/S/SH/SHERZODR/Config-Simple-$pkgver.tar.gz") 
+md5sums=('96513b61c7db591339ce2577878a3b32')
+
+build() {
+  cd  $srcdir/Config-Simple-$pkgver
+
+  eval `perl -V:archname`
+
+  /usr/bin/perl Makefile.PL \
+      INSTALLARCHLIB=/usr/lib/perl5/${archname} \
+      INSTALLSITELIB=/usr/lib/perl5/site_perl \
+      INSTALLSITEARCH=/usr/lib/perl5/site_perl/${archname}
+
+  /usr/bin/make || return 1
+  }
+package() {
+  cd  $srcdir/Config-Simple-$pkgver
+
+  /usr/bin/make DESTDIR="$pkgdir" install
+  /usr/bin/find $pkgdir -name '.packlist' -print0 | xargs -0 rm -f
+  /usr/bin/find $pkgdir -name '*.pod' -print0 | xargs -0 rm -f
+}
+
+# vim:set ts=2 sw=2 et:


Property changes on: perl-config-simple/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property



More information about the arch-commits mailing list